<?php

include "../cabeceras.php";
include "../../lib/sql.php";

/*  Ejemplo:
 *      /api/v1/programacion/
 */

$programacion = query("SELECT * FROM programacion ORDER BY ID DESC");
$programas = query("SELECT * FROM programas");

foreach ($programacion as $i=>$horario) {
    $programacion[$i]['programa'] = getPrograma($horario['programa']);
}

die(json_encode($programacion));



/*
 * Region de funciones
 */

function getPrograma($id) {
    global $programas;
    foreach ($programas as $i=>$programa) {
        if ($id==$programa['ID']) {
            // Hacer que la imagen se envie completamente.
            $programa['imagen'] = 'https://dummyimage.com/256x256/000000/ff8000.jpg&text=' . $programa['nombre'];
            return $programa;
        }
    }
    return $id;
}